=== debian/control ===
Source: libtest-cgi-multipart-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: perl, libtest-exception-perl, libperl6-slurp-perl,
 libmime-tools-perl, libautodie-perl, libversion-perl, libreadonly-perl,
 libuniversal-require-perl, libparams-validate-perl, libtext-lorem-perl,
 libgd-gd2-perl (>= 1:2.45-2), libcgi-simple-perl, libtest-pod-perl,
 libtest-pod-coverage-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>
Standards-Version: 3.9.1
Homepage: http://search.cpan.org/dist/Test-CGI-Multipart/
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/libtest-cgi-multipart-perl/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/libtest-cgi-multipart-perl/

Package: libtest-cgi-multipart-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libmime-tools-perl, libautodie-perl,
 libversion-perl, libuniversal-require-perl, libreadonly-perl,
 libparams-validate-perl
Recommends: libreadonly-xs-perl, libtext-lorem-perl,
 libgd-gd2-perl (>= 1:2.45-2), libcgi-simple-perl
Description: support for testing posting of multi-part form data
 It is quite difficult to write test code to capture the behaviour 
 of CGI or similar objects handling forms that include a file upload.
 Such code needs to harvest the parameters, build file content in MIME
 format, set the environment variables accordingly and pump it into the 
 the standard input of the required CGI object. This module provides
 simple methods so that having prepared suitable content, the test script
 can simulate the submission of web forms including file uploads.
 .
 Moreover a test script is not always the best place to prepare content. Rather
 a test script would rather specify requirements for a file a upload: type,
 size, mismatches between the file name and its contents and so on. This module
 cannot hope to provide such open ended functionality but it can provide
 extension mechanisms.
 .
 Test::CGI::Multipart works with CGI (the default), CGI::Minimal and
 CGI::Simple. In principle it ought to work with all equivalent modules
 however each module has a slightly different interface when it comes to file
 uploads and so requires slightly different test code.
