=== debian/watch ===
version=3
http://search.cpan.org/dist/Test-CGI-Multipart/   .*/Test-CGI-Multipart-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
